Name		: antiword
Version		: 0.36
Release		: 0.FC2

License		: GPL 
Summary		: MS Word to ASCII/Postscript converter
Group		: Applications/Text

URL		: http://www.winfield.demon.nl/
Vendor		: Antiword Project <antiword@winfield.demon.nl>
Packager	: Thomas Chung <tchung@openwebmail.org>

BuildRoot	: %{_tmppath}/%{name}-%{version}-buildroot
Source		: http://www.winfield.demon.nl/linux/%{name}-%{version}.tar.gz

%description
Antiword is a free MS-Word reader for Linux, BeOS and RISC OS. It converts
the documets from Word 6, 7, 97 and 2000 to ASCII and Postscript. Antiword
tries to keep the layout of the document intact.

%prep
rm -rf %{buildroot}

#######################################################################
# setup macro
# -a num  : Only unpack source number after changing to the directory
# -b num  : Only unpack source number before changing to the directory
# -c      : Create directory before unpacking.
# -D      : Do not delete the directory before unpacking
# -n name : Name the directory as name
# -q      : Run quiety with minimum output
# -T      : Disable the automatic unpacking of the archives.
#######################################################################
%setup -q
chmod a+r * Resources/* Docs/*

%build
make all

#########################################################
# Common Red Hat RPM macros (rpm --showrc for more info)
# {_sourcedir} : /usr/src/redhat/SOURCES
# {_builddir}  : /usr/src/redhat/BUILD
# {_tmppath}   : /var/tmp
# {_libdir}    : /usr/lib
# {_bindir}    : /usr/bin
# {_datadir}   : /usr/share
# {_mandir}    : /usr/share/man
# {_docdir}    : /usr/share/doc
# {buildroot}
# {name}
# {version}
# {release}
#########################################################
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 antiword %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a Resources/* %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
cp Docs/*.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Docs/*
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/%{name}


%changelog
* Wed Dec 08 2004 Thomas Chung <tchung@openwebmail.org> 0.36-0
- updated to 0.36

* Tue Dec 16 2003 Thomas Chung <tchung@openwebmail.org> 0.35-0
- updated to 0.35

* Wed Apr 23 2003 Adrian Reber <adrian@lisas.de> - 0.33-0.fdr.2
- s/$RPM_BUILD_ROOT/%{buildroot}/
- Epoch:0 added
- make %{?_smp_mflags}
- removed unnecessary Prefix: %{_prefix}
- fixed group
- applied more of the fedora spec template

* Tue Feb 25 2003 Adrian Reber <adrian@lisas.de> - 0.33-0.fdr.1
- applied fedora naming conventions
 
* Sun Dec 22 2002 Adrian Reber <adrian@lisas.de>
- updated to 0.33
- demandrakefied

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.32-2mdk
- rebuild to fix invalid-packager

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.32-1mdk
- new version
- fix obsolete-tag Copyright

* Sat Jun 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.31-2mdk
- have the resources files findable by default by the binary
- use our flags
- install man page

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- updated to 0.31

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.30-2mdk
- BM
- macros

* Thu Jul 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.30-1mdk
  - v0.30 (initial packaging from freshmeat)
